/*
 * Vector2D.h
 *
 *  Created on: 3 Apr 2017
 *      Author: lenka
 */

#ifndef SRC_EPUCK_ACTIONCONTROL_VECTOR2D_H_
#define SRC_EPUCK_ACTIONCONTROL_VECTOR2D_H_

#include <string>

class Vector2D {
public:
	Vector2D();
	Vector2D(double x_, double y_);
	virtual ~Vector2D();

	double x;
	double y;

	void Normalize();
	std::string GetOutputString();

	bool GetIsTheSameAs(Vector2D* otherVec_);
};

#endif /* SRC_EPUCK_ACTIONCONTROL_VECTOR2D_H_ */
